Bug 217807 - New port: audio/hts_engine-API HMM-based speech synthesis system engine and API. (need open_jtalk)
Summary: New port: audio/hts_engine-API HMM-based speech synthesis system engine and ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-15 15:37 UTC by Hideki Gotoh
Modified: 2017-12-03 10:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hideki Gotoh 2017-03-15 15:37:39 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       hts_engine-API
#       hts_engine-API/Makefile
#       hts_engine-API/distinfo
#       hts_engine-API/pkg-descr
#       hts_engine-API/pkg-plist
#       hts_engine-API/files
#       hts_engine-API/files/patch-HTSmisc
#
echo c - hts_engine-API
mkdir -p hts_engine-API > /dev/null 2>&1
echo x - hts_engine-API/Makefile
sed 's/^X//' >hts_engine-API/Makefile << '2f54d2c803f17bbb56a85d8551ad5367'
X# $FreeBSD$
X
XPORTNAME=              hts_engine-API
XPORTVERSION=           1.10
XCATEGORIES=            audio
XMASTER_SITES=          SOURCEFORGE
XMASTER_SITE_SUBDIR=    hts-engine/hts_engine%20API/hts_engine_API-${PORTVERSION}
XDISTNAME=              hts_engine_API-${PORTVERSION}
XCOMMENT=               HMM-based speech synthesis system (HTS) engine and API
X
XMAINTAINER=            tomason510@gmail.com
X
XLICENSE=               BSD3CLAUSE
X
XHAS_CONFIGURE=         yes
X
Xpost-install:
X       ${MKDIR} ${STAGEDIR}${DOCSDIR}
X       ${INSTALL_MAN} ${WRKSRC}/AUTHORS   ${STAGEDIR}${DOCSDIR}
X       ${INSTALL_MAN} ${WRKSRC}/COPYING   ${STAGEDIR}${DOCSDIR}
X       ${INSTALL_MAN} ${WRKSRC}/ChangeLog ${STAGEDIR}${DOCSDIR}
X       ${INSTALL_MAN} ${WRKSRC}/INSTALL   ${STAGEDIR}${DOCSDIR}
X       ${INSTALL_MAN} ${WRKSRC}/NEWS      ${STAGEDIR}${DOCSDIR}
X       ${INSTALL_MAN} ${WRKSRC}/README    ${STAGEDIR}${DOCSDIR}
X
X.include <bsd.port.mk>
2f54d2c803f17bbb56a85d8551ad5367
echo x - hts_engine-API/distinfo
sed 's/^X//' >hts_engine-API/distinfo << '597a2206242033370cef4cdc0355a803'
XTIMESTAMP = 1488977359
XSHA256 (hts_engine_API-1.10.tar.gz) = e2132be5860d8fb4a460be766454cfd7c3e21cf67b509c48e1804feab14968f7
XSIZE (hts_engine_API-1.10.tar.gz) = 169852
597a2206242033370cef4cdc0355a803
echo x - hts_engine-API/pkg-descr
sed 's/^X//' >hts_engine-API/pkg-descr << '07488d93eb7156dc6168db20d2a57b39'
Xhts_engine is software to synthesize speech waveform from HMMs trained
Xby the HMM-based speech synthesis system (HTS).
X
XWWW: http://hts-engine.sourceforge.net/
07488d93eb7156dc6168db20d2a57b39
echo x - hts_engine-API/pkg-plist
sed 's/^X//' >hts_engine-API/pkg-plist << '57bc91870b300db6ef9a9ad2e95bfc51'
Xbin/hts_engine
Xinclude/HTS_engine.h
Xlib/libHTSEngine.a
X%%DOCSDIR%%/AUTHORS
X%%DOCSDIR%%/COPYING
X%%DOCSDIR%%/ChangeLog
X%%DOCSDIR%%/INSTALL
X%%DOCSDIR%%/NEWS
X%%DOCSDIR%%/README
X@dir %%DOCSDIR%%
X@dir share/licenses/hts_engine-API-1.10
57bc91870b300db6ef9a9ad2e95bfc51
echo c - hts_engine-API/files
mkdir -p hts_engine-API/files > /dev/null 2>&1
echo x - hts_engine-API/files/patch-HTSmisc
sed 's/^X//' >hts_engine-API/files/patch-HTSmisc << 'e4131e417c677b48c83812fdb1f0902b'
X--- lib/HTS_misc.c.orig      2017-03-07 17:14:24.501216000 +0000
X+++ lib/HTS_misc.c  2017-03-07 17:15:41.777805000 +0000
X@@ -245,7 +245,7 @@
X    } else if (fp->type == HTS_FILE) {
X       fpos_t pos;
X       fgetpos((FILE *) fp->pointer, &pos);
X-#if defined(_WIN32) || defined(__CYGWIN__) || defined(__APPLE__) || defined(__ANDROID__)
X+#if defined(_WIN32) || defined(__CYGWIN__) || defined(__APPLE__) || defined(__ANDROID__) || defined(__FreeBSD__)
X       return (size_t) pos;
X #else
X       return (size_t) pos.__pos;
e4131e417c677b48c83812fdb1f0902b
exit
Comment 1 Kurt Jaeger freebsd_committer 2017-12-03 10:00:46 UTC
Committed, thanks. Please note that the shar as attachment to this PR would be easier than in the comment text.
Comment 2 commit-hook freebsd_committer 2017-12-03 10:00:50 UTC
A commit references this bug:

Author: pi
Date: Sun Dec  3 10:00:10 UTC 2017
New revision: 455398
URL: https://svnweb.freebsd.org/changeset/ports/455398

Log:
  New port: audio/hts_engine-API

  hts_engine is software to synthesize speech waveform from HMMs trained
  by the HMM-based speech synthesis system (HTS).

  WWW: http://hts-engine.sourceforge.net/

  PR:		217807
  Submitted by:	Hideki Gotoh <tomason510@gmail.com>

Changes:
  head/audio/Makefile
  head/audio/hts_engine-API/
  head/audio/hts_engine-API/Makefile
  head/audio/hts_engine-API/distinfo
  head/audio/hts_engine-API/files/
  head/audio/hts_engine-API/files/patch-lib_HTS__misc.c
  head/audio/hts_engine-API/pkg-descr
  head/audio/hts_engine-API/pkg-plist